import React, { useState, useEffect } from "react";
import { useNavigate } from "react-router-dom";
import { useModel } from "@/store";
import { currentUser } from "@/services/login";

export default (props) => {
  const { user, getCurrentUser } = useModel("user");
  const navigate = useNavigate();
  const [userStatus, setUserStatus] = useState(user && user.userId ? 1 : 0);

  useEffect(() => {
    if (!user || !user.userId) {
      getCurrentUser()
        .then((res) => {
          setUserStatus(1);
        })
        .catch((err) => {
          console.error(err);
          setUserStatus(-1);
        });
    }
    currentUser().then((res) => {
      if (!res.user?.email) {
        navigate("/bindEmail");
      }
    });
  }, []);

  useEffect(() => {
    if (userStatus === -1) {
      navigate("/qLogin");
      return;
    }
  }, [userStatus]);

  return userStatus < 1 ? null : props.children;
};
