import React, { useState, useEffect } from "react";
import { Divider, Card, Button, Radio, Form, Input, Row, Col } from "antd";
import { useTranslation } from 'react-i18next';
import { useNavigate } from "react-router-dom";
import { changeEmail } from "@/services/login";

export default (props) => {
  const navigate = useNavigate();

  const { t } = useTranslation();
  const [form] = Form.useForm();

  const onFinish = (values) => {
    changeEmail(values).then((res) => {
      navigate("/authentication");
    })
  };

  return (
    <Row justify="center" style={{ marginTop: '48px' }}>
      <Col span={12}>
        <Card
          title={
            <div>
              {t('bindEmail.extra')}
            </div>}
        >
          <Form
            form={form}
            size="large"
            onFinish={onFinish}
          >
            <Form.Item label={t('bindEmail.label')} rules={[{ required: true, message: t('bindEmail.message') }]} name="newEmail">
              <Input placeholder={t('bindEmail.placeholder')} />

            </Form.Item>
            <Form.Item>
              <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
                <Button type="primary" htmlType="submit">
                  {t('bindEmail.submit')}
                </Button>
              </div>
            </Form.Item>
          </Form>
        </Card>
      </Col>
    </Row>
  )
}